Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
litespeed_wiki:cpanel:use-cloudlinuxphpselector-on-ea4-with-lsws [2019/01/09 20:42]
Jackson Zhang [alt-php within Multi-php Manager]
litespeed_wiki:cpanel:use-cloudlinuxphpselector-on-ea4-with-lsws [2019/01/09 21:27] (current)
Lisa Clarke [alt-php within Multi-php Manager]
Line 86: Line 86:
 For more on this, see [[https://​docs.cloudlinux.com/​index.html?​php_selector_cpanel.html|the CloudLinux documentation]]. For more on this, see [[https://​docs.cloudlinux.com/​index.html?​php_selector_cpanel.html|the CloudLinux documentation]].
  
-===== alt-php ​within Multi-php ​Manager ===== +===== Using alt-php ​Within MultiPHP ​Manager ===== 
-**alt-php ​is supported from LSWS 5.3RC1 ​directly from MultiPHP Manager**+**As of LSWS v5.3RC1, you can use alt-php directly from MultiPHP Manager**
  
-In cPanel & WHM version 66 and later, EasyApache 4 allows you to use Vendor-provided PHP versions such as CloudLinux PHP selector right from MultiPHP Manager, such as ''​alt-php44'',​ ''​alt-php51'',​ ''​alt-php52'',​ ''​alt-php53'',​ ''​alt-hpp54'',​ ''​alt-php55'',​ ''​alt-php56'',​ ''​alt-php70'',​ ''​alt-php71'',​ ''​alt-php72''​, they have been supported by LiteSpeed from 5.3RC1. LSWS 5.2.x and below do not support them and if you are still using such LSWS legacy version, ​ please continue to use ''​ea-phpxx''​ only and follow the above steps to determine if CloudLinux PHP selector is used,  but not directly from MultiPHP Manager+In cPanel & WHM version 66 and later, EasyApache 4 allows you to use Vendor-provided PHP versions such as CloudLinux PHP selector right from MultiPHP Manager. This includes ​''​alt-php44'',​ ''​alt-php51'',​ ''​alt-php52'',​ ''​alt-php53'',​ ''​alt-hpp54'',​ ''​alt-php55'',​ ''​alt-php56'',​ ''​alt-php70'',​ ''​alt-php71'',​ ''​alt-php72''​. The ''​alt-php''​s are supported by LiteSpeed from 5.3RC1. ​
  
-Using cpanel ​MultiPHP ​manager ​is recommended ​way since it is easy to understand and supports both ea-php and alt-php. ​ CloudLinux PHP selector ​sometime ​might be a little complicated to understand, hence not recommended. ​Advanced ​user can use either one as you prefer, as far as you understand ​how CloudLinux PHP selector with WHM/cPanel MultiPHP Manager ​works together. The following section ​''​Why CloudLinux PHP Selector Works on Apache but Does Not Work on LSWS''​ could be a good example of portraiting ​how complicated it is when a user trying ​to enforce ​everything to alt-php ​and also using CloudLinux PHP Selector. Unless you understand it well, We don't recommend you go through such a complicated path without much benefit. ​ Bold simple ​could make your life easier. ​+LSWS versions 5.2.x and below //do not// support ''​alt-php'',​ so if you are still using such a legacy version, please continue to use ''​ea-phpxx''​ only. Skip this section, and follow the above steps to determine if CloudLinux PHP selector is used. Do not use MultiPHP Manager. 
 + 
 +Using cPanel ​MultiPHP ​Manager ​is the recommended ​method, ​since it is easy to understand and supports both ''​ea-php'' ​and ''​alt-php''​.  CloudLinux PHP selector ​sometimes ​might be a little complicated to understand, hence it is not recommended. ​An advanced ​user can choose ​either one as preferred, as long as it is understood ​how CloudLinux PHP selector ​works together ​with WHM/cPanel MultiPHP Manager. The following section ​**Why CloudLinux PHP Selector Works on Apache but Does Not Work on LSWS** provides ​a good example of how complicated it can be to try enforcing ​everything to ''​alt-php''​ while using CloudLinux PHP Selector. Unless you understand it well, we don't recommend you go through such a complicated path for such little ​benefit. ​MultiPHP Manager ​could simply ​make your life easier. ​
  
 {{ :​litespeed_wiki:​cpanel:​cpanel-multiphp-altphp.png?​600 |}} {{ :​litespeed_wiki:​cpanel:​cpanel-multiphp-altphp.png?​600 |}}
- 
- 
 ===== Why CloudLinux PHP Selector Works on Apache but Does Not Work on LSWS ===== ===== Why CloudLinux PHP Selector Works on Apache but Does Not Work on LSWS =====
 In a cPanel EA4 and CloudLinux environment,​ Most of the LSWS LSPHP external apps such as ''​lsphpxx''​ are pointing to ''​ea-phpxx'',​ instead of ''​alt-phpxx''​. Only one external app, ''​cl_phpselector''​ is pointing to ''/​usr/​local/​bin/​lsphp''​ (the CloudLinux PHP selector binary). In a cPanel EA4 and CloudLinux environment,​ Most of the LSWS LSPHP external apps such as ''​lsphpxx''​ are pointing to ''​ea-phpxx'',​ instead of ''​alt-phpxx''​. Only one external app, ''​cl_phpselector''​ is pointing to ''/​usr/​local/​bin/​lsphp''​ (the CloudLinux PHP selector binary).
  • Admin
  • Last modified: 2019/01/09 21:27
  • by Lisa Clarke